## NAME

d.vect - Displays GRASS vector data in the active frame on the graphics monitor.
(GRASS Display Program)

## SYNOPSIS

d.vect
d.vect help
d.vect [-fv] map=name [color=name] cat=value[,value,...]

## DESCRIPTION

d.vect displays the user-named binary vector file in the active display frame on the graphics monitor, in the user-named color. The vector file must already exist under a mapset listed in the user's current mapset search path.

This program can be run either non-interactively or interactively. If the user gives the name of a binary vector map to be displayed and (optionally) specifies a color for vector display, the program will run non-interactively. (If the user gives a vector map name but no vector color on the command line, the named vector map layer will be displayed in the default color white.) Alternately, the user can simply type d.vect on the command line; in this case, the program will prompt the user for parameter values.

### Flags:

-f
  Fill areas of selected polygons
-v
  Run verbosely

### Parameters:

map=name
  Vector map layer to be displayed in the active display frame.
  Must be binary vector file in the user's current mapset search path.
color=name
  Sets vector display color to name.
  Options: white, red, orange, yellow, green, blue, indigo, violet, magenta, brown, gray, and black
  Default: white
catnum=value[,value,...]
  Category vnumbers to be displayed

## NOTES

To display text labels, the d.vect.labels module may be used.

Selected vector polygons can be optionally filled with color. To fill all vector polygons with colors, d.area can be used.

This program needs to be upgraded with features that would:

1. Allow different line colors, weights, and textures to be assigned to vectors with different category values.
2. Allow different fill patterns and colors to be assigned to areas.
3. Be linked with an associated program identifying these options.

## SEE ALSO

d.area, d.rast, d.sites, d.vect.labels, d.what.vect, g.mapsets, parser

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory

Merge with d.vect.cats: Markus Neteler

Last changed: $Date: 2002/03/01 00:08:31 $